<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{hl7ResponderConfiguration.selectedDomain.name}
                #{hl7ResponderConfiguration.actor.name}</h1>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.ordermanager.Configuration']}
                </ui:define>
                <ui:decorate template="/configuration/simulatorResponderConfigurationTemplate.xhtml">
                    <ui:param name="managedBean" value="#{hl7ResponderConfiguration}"/>
                    <ui:param name="diagramPath" value="diag/#{hl7ResponderConfiguration.selectedDomain.keyword}_#{hl7ResponderConfiguration.actor.keyword}.png"/>
                    <ui:define name="other_links"/>
                    <ui:define name="moreConfig">
                        <s:decorate template="/layout/panels/_panel_title.xhtml"
                                    rendered="#{hl7ResponderConfiguration.actor.keyword.equals('OF')
                                               and (hl7ResponderConfiguration.selectedDomain.keyword.equals('RAD')
                                               or hl7ResponderConfiguration.selectedDomain.keyword.equals('EYE'))}">
                        <ui:define name="panel_title">#{messages['gazelle.ordermanager.DICOMConfiguration']}</ui:define>
                        <dl class="dl-horizontal">
                            <s:decorate id="aetDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.ordermanager.AETitle']}</ui:define>
                                <h:outputText value="#{hl7ResponderConfiguration.selectedDomain.keyword}_#{hl7ResponderConfiguration.actor.keyword}"/>
                            </s:decorate>
                            <s:decorate id="wlmipDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.HL7Common.IPAddress']}</ui:define>
                                <h:outputText value="#{applicationConfiguration.getValueOfVariable('dicom_proxy_ip')}"/>
                            </s:decorate>
                            <s:decorate id="wlmportDecoration" template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.HL7Common.Port']}</ui:define>
                                <h:outputText value="#{dicomWorklistManager.proxyPort}"/>
                            </s:decorate>
                            <s:decorate id="wlmstatus"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.ordermanager.Status']}</ui:define>
                                <h:outputText value="#{messages['gazelle.ordermanager.Running']}" styleClass="gzl-label gzl-label-green" rendered="#{dicomWorklistManager.proxyStarted and dicomWorklistManager.wlmscpfsStarted}"/>
                                <h:outputText value="#{messages['gazelle.ordermanager.Stopped']}" styleClass="gzl-label gzl-label-red" rendered="#{not dicomWorklistManager.proxyStarted or not dicomWorklistManager.wlmscpfsStarted}"/>
                            </s:decorate>
                        </dl>
                        </s:decorate>
                    </ui:define>
                </ui:decorate>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
